org.bouncycastle.asn1.misc

## Class NetscapeCertType

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DERBitString
        - - org.bouncycastle.asn1.misc.NetscapeCertType

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

    public class NetscapeCertType
    extends DERBitString

The NetscapeCertType object.

        NetscapeCertType ::= BIT STRING {
             SSLClient               (0),
             SSLServer               (1),
             S/MIME                  (2),
             Object Signing          (3),
             Reserved                (4),
             SSL CA                  (5),
             S/MIME CA               (6),
             Object Signing CA       (7) }

### Field Summary

Fields
`static int` `objectSigning`
`static int` `objectSigningCA`
`static int` `reserved`
`static int` `smime`
`static int` `smimeCA`
`static int` `sslCA`
`static int` `sslClient`
`static int` `sslServer`

### Fields inherited from class org.bouncycastle.asn1.DERBitString

`data, padBits`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`NetscapeCertType(DERBitString usage)`
`NetscapeCertType(int usage)` Basic constructor.

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.DERBitString

`asn1Equals, getBytes, getBytes, getInstance, getInstance, getPadBits, getPadBits, getString, hashCode, intValue`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sslClient

    public static final int sslClient

See Also:
  Constant Field Values

#### sslServer

    public static final int sslServer

See Also:
  Constant Field Values

#### smime

    public static final int smime

See Also:
  Constant Field Values

#### objectSigning

    public static final int objectSigning

See Also:
  Constant Field Values

#### reserved

    public static final int reserved

See Also:
  Constant Field Values

#### sslCA

    public static final int sslCA

See Also:
  Constant Field Values

#### smimeCA

    public static final int smimeCA

See Also:
  Constant Field Values

#### objectSigningCA

    public static final int objectSigningCA

See Also:
  Constant Field Values

### Constructor Detail

#### NetscapeCertType

    public NetscapeCertType(int usage)

Basic constructor.

Parameters:
  `usage` - - the bitwise OR of the Key Usage flags giving the allowed uses for the key. e.g. (X509NetscapeCertType.sslCA | X509NetscapeCertType.smimeCA)

#### NetscapeCertType

    public NetscapeCertType(DERBitString usage)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `DERBitString`